'use strict';

var assert = require('assert'); // 断言函数
var jutils = require('../index');

var JaDb = jutils.JaDb;
var JaDbKnex = jutils.JaDbKnex;

describe("JaDb", function () {
    it('base', function () {
        return jutils.jco(function* () {

            var xx = new Date();
            //xx.getFullYear()

            //var db = new JaDb();
            var db = new JaDbKnex();
            yield db.init({
                timeSpTable: 1,
                logging: 2,
                opField: false,
                fieldFormat: 1,
                // options:{
                //     useUTC:true,
                // },
                timezone: '+08:00',

                "dialect": "mssql",
                "database": "scm_new", // 数据库
                "host": "127.0.0.1", // 主机及实例名
                "user": "sa", // 用户名
                "port": 59157,
                "password": "471", // 密码

            });

            console.log();

            // xx.getFullYear=()=>{
            //     console.log();
            // }

            // xx.getTime = ()=>{
            //     console.log();
            // }

            yield db.update("jview_client", {
                last_time: xx
            })

            var tx = yield db.select(`* from jview_client`)


            // 分页查询
            var aa = yield db.q({
                sql: `select a.jlog_sty,a.jlog_name,a.jlog_state,b.JID from [jmonitor_log_info] a left join jmonitor_log b on a.jlog_sty = b.jdoor 
                where a.jlog_state=0
               
                `,
                pageOpt: {
                    pageSize: 5,
                    current: 1,
                    needTotal: true
                },
                order: "jlog_sty desc",
                andWhere: [
                    {
                        field: "jlog_sty",
                        op: ">=",
                        value: 1
                    },
                    {
                        field: "jlog_sty",
                        op: "is not null",
                        value: ""
                    }
                ],
            }, {
                    dateTime: '2018-11-21 17:49:22'
                }
            );

            // a.jlog_sty,a.jlog_name,a.jlog_state,b.JID from jmonitor_log_info a left join jmonitor_log b on a.jlog_sty = b.jdoor where a.jlog_state=0
            // 

            // // 分页查询
            // var aa = yield db.db.raw(`
            // select * from (select ROW_NUMBER() OVER(Order by jlog_sty desc ) AS jpage_row_id,

            // jlog_sty,jlog_name,jlog_state from jmonitor_log_info where jlog_state=0

            // ) as jpage_t where jpage_t.jpage_row_id between 5 and 10
            // `);

            console.log(aa);
            /*
            
            
            select * from (select ROW_NUMBER() OVER(Order by a.jlog_sty desc ) AS jpage_row_id,
            
            a.jlog_sty,a.jlog_name,a.jlog_state,b.JID from [jmonitor_log_info] a left join jmonitor_log b on a.jlog_sty = b.jdoor where a.jlog_state=0
            
            ) as jpage_t where jpage_t.jpage_row_id between 5 and 10
            
            */

            // if (tokenObj.a !== 123 || tokenObj.b !== "456") {
            //     assert.fail("equalObj");
            // }

        });
    });
});

