'use strict';

var assert = require('assert'); // 断言函数

var jutils = require('../index');
var jco = jutils.jco;

describe('jnet_utils', function () { // 测试目录层(可以套任意层)

    it('jnet_utils', function () { // 测试用例
        return jco(function* () {

            var jnet_utils = jutils.jnet_utils;

            // 获取端口
            var t1 = yield jnet_utils.getFreePort(667);
            console.log(t1);
             t1 = yield jnet_utils.getFreePort(667);
            console.log(t1);

            // 检测IP
            t1 = jnet_utils.getIpAddr("111.2.3.255");
            console.log(t1);
            t1 = jnet_utils.getIpAddr("111.2.3.255.6");
            console.log(t1);
            t1 = jnet_utils.getIpAddr("111.2.3","0.0.0.0");
            console.log(t1);
            t1 = jnet_utils.getIpAddr("111.2.3.a");
            console.log(t1);

            // 检测掩码位数
            t1 = jnet_utils.getMaskInt("255.255.255.0");
            console.log(t1);

        });
    });

});


